Loading...
Searching...
No Matches
Dune::Amg::SubGraph< G, T >::EdgeIterator Class Reference

The edge iterator of the graph. More...

`#include <dune/istl/paamg/graph.hh>`

Inheritance diagram for Dune::Amg::SubGraph< G, T >::EdgeIterator:

## Public Member Functions

| EdgeIterator (const VertexDescriptor &source, const EdgeDescriptor &edge)
| Constructor.
| EdgeIterator (const EdgeDescriptor &edge)
| Constructor for the end iterator.
bool | equals (const EdgeIterator &other) const
| Equality operator.
EdgeIterator & | increment ()
| Preincrement operator.
EdgeIterator & | decrement ()
| Preincrement operator.
EdgeIterator & | advance (std::ptrdiff_t n)
const EdgeDescriptor & | dereference () const
| The descriptor of the current edge.
const VertexDescriptor & | target () const
| The index of the target vertex of the current edge.
const VertexDescriptor & | source () const
| The index of the source vertex of the current edge.
std::ptrdiff_t | distanceTo (const EdgeIterator &other) const

## Detailed Description

template<class G, class T>
class Dune::Amg::SubGraph< G, T >::EdgeIterator

The edge iterator of the graph.

## Constructor & Destructor Documentation

## EdgeIterator() [1/2]

template<class G, class T>

Dune::Amg::SubGraph< G, T >::EdgeIterator::EdgeIterator | ( | const VertexDescriptor & | source,
|  | const EdgeDescriptor & | edge )

explicit

Constructor.

Parameters

  source | The source vertex of the edge.
  edge | Pointer to the edge the iterator should point to.

## EdgeIterator() [2/2]

template<class G, class T>

Dune::Amg::SubGraph< G, T >::EdgeIterator::EdgeIterator | ( | const EdgeDescriptor & | edge | ) |

explicit

Constructor for the end iterator.

Only operator== or operator!= can be called safely on an iterator constructed this way!

Parameters

  edge | Pointer to the end of the graph's edge array.

## Member Function Documentation

## advance()

template<class G, class T>

EdgeIterator & Dune::Amg::SubGraph< G, T >::EdgeIterator::advance | ( | std::ptrdiff_t | n | ) |

## decrement()

template<class G, class T>

EdgeIterator & Dune::Amg::SubGraph< G, T >::EdgeIterator::decrement | ( |  | ) |

Preincrement operator.

## dereference()

template<class G, class T>

const EdgeDescriptor & Dune::Amg::SubGraph< G, T >::EdgeIterator::dereference | ( |  | ) | const

The descriptor of the current edge.

## distanceTo()

template<class G, class T>

std::ptrdiff_t Dune::Amg::SubGraph< G, T >::EdgeIterator::distanceTo | ( | const EdgeIterator & | other | ) | const

## equals()

template<class G, class T>

bool Dune::Amg::SubGraph< G, T >::EdgeIterator::equals | ( | const EdgeIterator & | other | ) | const

Equality operator.

## increment()

template<class G, class T>

EdgeIterator & Dune::Amg::SubGraph< G, T >::EdgeIterator::increment | ( |  | ) |

Preincrement operator.

## source()

template<class G, class T>

const VertexDescriptor & Dune::Amg::SubGraph< G, T >::EdgeIterator::source | ( |  | ) | const

The index of the source vertex of the current edge.

## target()

template<class G, class T>

const VertexDescriptor & Dune::Amg::SubGraph< G, T >::EdgeIterator::target | ( |  | ) | const

The index of the target vertex of the current edge.

The documentation for this class was generated from the following file:

- graph.hh